<div class="main-content" data-ng-controller="MainCtrl">
  <p class="lead">Movie predictor 3000 will help you look into the future and see how your future movie will perform.</p>
  <p class="lead">Give it a try!</p>
  <br/>
  <h4>Choose the following</h4>
  <form class="form-inline" data-ng-submit="main.makePrediction()">
    <div class="form-group">
      <label for="directorName">Director: </label>
      <select id="directorName" name="directorName" class="form-control"
        data-ng-options="option.text for option in main.directors track by option.value"
        data-ng-model="main.selectedDirector">
      </select>
    </div>
    <div class="form-group">
      <label for="actor1Name">Actor:</label>
      <select id="actor1Name" name="actor1Name" class="form-control"
        data-ng-options="option.text for option in main.actors1 track by option.value"
        data-ng-model="main.selectedActor1">
      </select>
    </div>
    <br/>
    <br/>
    <div class="form-group">
      <label for="actor2Name">Actor: </label>
      <select id="actor2Name" name="actor2Name" class="form-control"
        data-ng-options="option.text for option in main.actors2 track by option.value"
        data-ng-model="main.selectedActor2">
      </select>
    </div>
    <div class="form-group">
      <label for="genre">Genre: </label>
      <select id="genre" name="genre" class="form-control"
        data-ng-options="option.text for option in main.genres track by option.value"
        data-ng-model="main.selectedGenre">
      </select>
    </div>
    
    <br/>
    <br/>
    <br/>
    <br/>

    <button type="submit" class="btn btn-success prediction">Make prediction</button>
  </form>
  
  <br/>
  <br/>
  <br/>

  <h3>Mesmerize yourself by your future movie results...</h3>
  <div class="well well-lg results">
    <p>Your future movie will be called: <span class="lead">{{ main.movieName }}</span></p>
    <p>It will have a content rating of <span class="lead">{{ main.contentRating }}</span></p>
    <p>It will get an IMDB score of <span class="lead">{{ main.movieImdbRating }}</span></p>
    <p>And it will generate you a gross of <span class="lead">{{ main.movieGross }}</span></p>
  </div>
</div>